"NoticeAuth" configuration variable is deprecated now!
authorAlexander Barton <alex@barton.de>
Sat, 1 Aug 2015 12:43:38 +0000 (14:43 +0200)
committerAlexander Barton <alex@barton.de>
Sat, 1 Aug 2015 12:52:07 +0000 (14:52 +0200)
INSTALL
src/ngircd/conf.c

diff --git a/INSTALL b/INSTALL
index fa73bd7..098f6e5 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -14,6 +14,10 @@ I. Upgrade Information
 
 Differences to version 22.x
 
+- The "NoticeAuth" ngircd.conf configuration variable has been renamed to
+  "NoticeBeforeRegistration". The old "NoticeAuth" variable still works but
+  is deprecated now.
+
 - The default value of the SSL "CipherList" variable has been changed to
   "HIGH:!aNULL:@STRENGTH:!SSLv3" (OpenSSL) and "SECURE128:-VERS-SSL3.0"
   (GnuTLS) to disable the old SSLv3 protocol by default.
index 5f8bce5..62b5044 100644 (file)
@@ -1796,7 +1796,19 @@ Handle_OPTIONS(const char *File, int Line, char *Var, char *Arg)
                Conf_MorePrivacy = Check_ArgIsTrue(Arg);
                return;
        }
-       if (strcasecmp(Var, "NoticeBeforeRegistration") == 0 || strcasecmp(Var, "NoticeAuth") == 0) {
+       if (strcasecmp(Var, "NoticeAuth") == 0) {
+               /*
+                * TODO: This section and support for "NoticeAuth" variable
+                * could be removed starting with ngIRCd release 24 (one
+                * release after marking it "deprecated") ...
+                */
+               Config_Error(LOG_WARNING,
+                            "%s, line %d (section \"Options\"): \"%s\" is deprecated, please use \"NoticeBeforeRegistration\"!",
+                            File, Line, Var);
+               Conf_NoticeBeforeRegistration = Check_ArgIsTrue(Arg);
+               return;
+       }
+       if (strcasecmp(Var, "NoticeBeforeRegistration") == 0) {
                Conf_NoticeBeforeRegistration = Check_ArgIsTrue(Arg);
                return;
        }